.sp
.tl '411admin(1)'\fB411 Administrator\fR'411admin(1)'
.sp 3
.tl '\fBNAME\fR'''
.in +3
411admin - The 411 Administrator contact database
.in -3
.sp
.tl '\fBSYNOPSIS\fR'''
.in +3
.B
.sp
411admin [ -dbdir directory | -dbfile dbfilename |
.br
.in +11
-hashfile hashfilename | -indexfile indexfilename |
.br
-helpdir direcotry | -debugfile debugfilename |
.br
-debug debuglevel | -help ]
.in -11
.br
.in -3
.sp
.tl '\fBDESCRIPTION\fR'''
.in +3
411admin is a contact database based on X11 and the Athena Widget set.  It
allows the user to add, view, update, and delete records using an hashed,
indexed sequential database.  Contact information can contain names,
addresses, phone numbers, email addresses, and virtually unlimited comments.
.in -3
.sp
.tl '\fBOPTIONS\fR'''
.in +3
-dbdir directory          Specifies what directory
.in +26
the database files are in.
.in -26
-dbfile dbfilename        Name of the database file
.br
-hashfile hashfilename    Name of the hash file
.br
-indexfile indexfilename  Name of the index file
.br
-helpdir directory        Name of directory
.in +26
containing help files
.in -26
-debugfile debugfilename  Name of the debug file
.br
-debug level              Debug level
.br
-help                     Gives a usage statement
.sp
All of these (except the debug options and -help) can also be specified in
the application defaults file, X411admin.ad.
.sp
Debugging isn't available by default.  You have to compile it in using the
-DDEBUG option (see the Imakefiles).  Don't compile DEBUG into the database
library (lib-d/libmhdb.a) without compiling it into the program source
(the windows-d directory).  It won't work that way (yet).  You can get a
list of available debug levels using the -help option.
.in -3
.sp
.tl '\fBNOTES\fR'''
.in +3
411admin is pretty simple to use.  I've tried to make it fairly intuitive.
However, since it may be confusing as to when to use certain features from
the pull down menus, I've added a readily-extensible Help feature.  Its
extensible in that the help files are preformatted text read in at startup.
If something doesn't make sense, let me know and I'll update the
appropriate Help file and send it to you.  You don't need to recompile to
add the new help text.
.sp
If the Help facility doesn't answer enough questions then I'll add a full
blown manual.  Currently, I don't see a need for one.
.sp
A fairly extensive application defaults file is provided in X411admin.ad.
This file lists all the items which might be modified for user preferences,
such as geometry, colors, and fonts.  Be careful with colors in the Record
Window section under "Color Definitions".  I used colors to mask the way
Labels were placed inside of Form widgets.  Changing label colors and not
the underlying Form colors can give less than admirable appearance.
.sp
Don't change any of the translation at the bottom of X411admin.ad.  Doing
so can severly affect the way keyboard input is handled and has the
possibility of corrupting your database.
.sp
Make sure you either copy X411admin.ad to
/usr/lib/X11/app-defaults/X411admin or run "xrdb -merge < X411admin.ad" to
get the default resource settings.  Failure to do so will cause the program
to function, at best, in an unusable manner.
.in -3
.sp
.tl '\fBBUGS\fR'''
.in +3
None that I know of, however I'm skeptical I removed all the memory leaks
from the database library (libmhdb.a).  I have a feeling I try to free up
storage in places where the storage has already been freed.  I may also
be accessing storage that has just been freed.  I'd appreciate someone
doing a code review for me.  :-)
.in -3
.sp
.tl '\fBSEE ALSO\fR'''
.in +3
The database library, libmhdb.a, has a set of API man pages:
.sp
DBIntro(5), DBInit(3), DBShutdown(3), DBParseBuf(3), DBGetRecord(3),
DBAddRecord(3), DBDeleteRecord(3)
.in -3
.sp
.tl '\fBCOPYRIGHT\fR'''
.in +3
Copyright (c) Michael J. Hammel 1995.  This program is covered by the GNU
CopyLeft, I think.  I'm not completely sure what that is.  You can
distribute copies at your leisure for non-commercial use as long as you
distribute or make readily available the source code too.
.in -3
.sp
.tl '\fBAUTHOR\fR'''
.in +3
Michael J. Hammel (mjhammel@csn.net, mjhammel@xinside.com).  I'm interested
in any comments you might have on how to improve the basic functionality of
the program.  New features would be nice but unless they are exceptionally
easy to do, I may not get around to them for awhile.  I will keep a log of
problems and make fixes to them as time permits.
.in -3
