.sp
.tl 'DBAddRecord(3)'\fBmhdb library API\fR'DBAddRecord(3)'
.sp 3
.tl '\fBNAME\fR'''
.in +3
DBAddRecord - add a record to the database
.in -3
.sp
.tl '\fBSYNOPSIS\fR'''
.in +3
.B
.sp
C call prototype:
.br
#include db.h
.br
.br
int DBAddRecord ( 
\fBstring\fR
)
.in +4
char  *string;
.br
.in -4
.in -3
.sp
.tl '\fBINPUTS\fR'''
.in +3
\fIstring\fR   character string containing the data
.in +9
to add to the database as a single record
using semicolons (;) as field delimeters
.in -9
.in -3
.sp
.tl '\fBRETURN VALUES\fR'''
.in +3
\fIDB_SUCCESS\fR           record successfully added to the databae
.br
\fIDB_EXIST\fR             record already exists
.br
\fIDB_CANT_PARSE\fR        can't parse the record
.br
\fIDB_TOO_MANY_FIELDS\fR   record contains too many fields
.br
\fIDB_NO_DELIMITER\fR      can't find the FIELD delimiter
.br
others               return codes from the following
.in +21
are also valid: DBInsertRecord(), DBSearchDB()
.in -21
.in -3
.sp
.tl '\fBDESCRIPTION\fR'''
.in +3
Add a record to the database, if possible.
.in -3
.sp
.tl '\fBEXAMPLES\fR'''
.in +3
C call interface:
.sp
char *string;
.sp
 ...
.sp
if ( DBAddRecord( string ) != DB_SUCCESS )
.br
{
.sp
 ...<handle condition where record is not added>...
.sp
}
.sp 2
.in -3
.sp
.tl '\fBNOTES\fR'''
.in +3
.sp
.in -3
.sp
.tl '\fBBUGS\fR'''
.in +3
None known.
.in -3
.sp
.tl '\fBSEE ALSO\fR'''
.in +3
411admin(1)
.sp
Also, the database library, libmhdb.a, has a set of API man pages:
.sp
DBIntro(5), DBInit(3), DBShutdown(3), DBParseBuf(3), DBGetRecord(3),
DBDeleteRecord(3)
.in -3
.sp
.tl '\fBCOPYRIGHT\fR'''
.in +3
Copyright (c) Michael J. Hammel 1995.  This program is covered by the GNU
CopyLeft, I think.  I'm not completely sure what that is.  You can
distribute copies at your leisure for non-commercial use as long as you
distribute or make readily available the source code too.
.in -3
.sp
.tl '\fBAUTHOR\fR'''
.in +3
Michael J. Hammel (mjhammel@csn.net, mjhammel@xinside.com).  I'm interested
in any comments you might have on how to improve the basic functionality of
the library.  New features would be nice but unless they are exceptionally
easy to do, I may not get around to them for awhile.  I will keep a log of
problems and make fixes to them as time permits.
.in -3
