.sp
.tl 'DBDeleteRecord(3)'\fBmhdb library API\fR'DBDeleteRecord(3)'
.sp 3
.tl '\fBNAME\fR'''
.in +3
DBDeleteRecord - delete a record from the database
.in -3
.sp
.tl '\fBSYNOPSIS\fR'''
.in +3
.B
.sp
C call prototype:
.br
#include db.h
.br
.br
int DBDeleteRecord ( 
\fBstring\fR
)
.in +4
char  *string;
.in -4
.br
.in -3
.sp
.tl '\fBINPUTS\fR'''
.in +3
\fIstring\fR   a complete record of the form defined
.in +12
by DBIntro(5)
.in -12
.in -3
.sp
.tl '\fBRETURN VALUES\fR'''
.in +3
\fIDB_SUCCESS\fR           record successfully deleted
.br
\fIDB_NOMATCH\fR           can't find record to delete in database
.br
\fIDB_NOMATCH_HASH\fR      can't find record to delete in database
.br
\fIDB_CANT_PARSE\fR        can't parse the record
.br
\fIDB_TOO_MANY_FIELDS\fR   record contains too many fields
.br
\fIDB_NULL_STRING\fR       string argument is null
.in -3
.sp
.tl '\fBDESCRIPTION\fR'''
.in +3
DBDeleteRecord() takes the record passed in its only argument and searches
the database for a matching record.  If that record is found then it is
deleted by marking the index record as inactive and removing it from the
link list of indexes.  If that record was the record pointed to by a hash
record, then the hash table is updated.  Changes to the hash table are
reflected in the hash file only after 411admin has exited.
.sp
The format of the record specified in the \fIstring\fR argument is defined
in the DBIntro(5) man page.
.in -3
.sp
.tl '\fBEXAMPLES\fR'''
.in +3
C call interface:
.sp
char *string;
.sp
 ...
.sp
if ( DBDeleteRecord( string ) != DB_SUCCESS )
.br
{
.sp
 ...<handle condition where record has not been deleted>...
.sp
}
.sp 2
.in -3
.sp
.tl '\fBNOTES\fR'''
.in +3
The proces of updating a record involves first passing DBDeleteRecord() the
old record and then passing DBAddRecord() the new record.  There is no
in-place updating of records.  This will tend to make the database grow
fairly quickly.  There will be (in the future) the ability to clean up the
database by removing inactive records, thus reducing the size of the flat
and index files.  This feature is not yet implemented, however.
.in -3
.sp
.tl '\fBBUGS\fR'''
.in +3
None known.
.in -3
.sp
.tl '\fBSEE ALSO\fR'''
.in +3
411admin(1)
.sp
Also, the database library, libmhdb.a, has a set of API man pages:
.sp
DBIntro(5), DBInit(3), DBShutdown(3), DBParseBuf(3), DBGetRecord(3),
DBAddRecord(3)
.in -3
.sp
.tl '\fBCOPYRIGHT\fR'''
.in +3
Copyright (c) Michael J. Hammel 1995.  This program is covered by the GNU
CopyLeft, I think.  I'm not completely sure what that is.  You can
distribute copies at your leisure for non-commercial use as long as you
distribute or make readily available the source code too.
.in -3
.sp
.tl '\fBAUTHOR\fR'''
.in +3
Michael J. Hammel (mjhammel@csn.net, mjhammel@xinside.com).  I'm interested
in any comments you might have on how to improve the basic functionality of
the library.  New features would be nice but unless they are exceptionally
easy to do, I may not get around to them for awhile.  I will keep a log of
problems and make fixes to them as time permits.
.in -3
