.sp
.tl 'DBInit(3)'\fBmhdb library API\fR'DBInit(3)'
.sp 3
.tl '\fBNAME\fR'''
.in +3
DBInit - initialize the libmhdb index sequential database
.in -3
.sp
.tl '\fBSYNOPSIS\fR'''
.in +3
.B
.sp
C call prototype:
.br
#include db.h
.br
.br
int DBInit ( 
\fBdirectory, dbfile, hashfile, indexfile\fR
)
.in +4
char  *directory;
.br
char  *dbfile;
.br
char  *hashfile;
.br
char  *indexfile;
.br
.in -4
.br
.in -3
.sp
.tl '\fBINPUTS\fR'''
.in +3
\fIdirectory\fR   full path to directory which contains
.in +12
database files
.in -12
.br
\fIdbfile\fR      name of database flat file
.br
\fIhashfile\fR    suffix which is appended to dbfile for
.in +12
hash file
.in -12
.br
\fIindexfile\fR   suffix which is appened to dbfille for
.in +12
index file
.in -12
.in -3
.sp
.tl '\fBRETURN VALUES\fR'''
.in +3
\fIDB_SUCCESS\fR  initialization completed successfully
.br
\fIDB_FAILURE\fR  initialization failed
.in -3
.sp
.tl '\fBDESCRIPTION\fR'''
.in +3
Initializes the flat file database and its associated hash and
index files.
.in -3
.sp
.tl '\fBEXAMPLES\fR'''
.in +3
C call interface:
.sp
char *dbdir;
.br
char *dbfile;
.br
char *dbhash;
.br
char *dbindex;
.sp
 ...
.sp
if ( DBInit( dbdir, dbfile, dbhash, dbindex ) != DB_SUCCESS )
.br
{
.sp
 ...<handle condition where database has not been initialized>...
.sp
}
.sp 2
.in -3
.sp
.tl '\fBNOTES\fR'''
.in +3
.sp
.in -3
.sp
.tl '\fBBUGS\fR'''
.in +3
No error checking is done on the arguments.  If you pass NULL values I'm
sure it will crap out.  Suggestion:  Don't do that.
.in -3
.sp
.tl '\fBSEE ALSO\fR'''
.in +3
411admin(1)
.sp
Also, the database library, libmhdb.a, has a set of API man pages:
.sp
DBIntro(5), DBShutdown(3), DBParseBuf(3), DBGetRecord(3),
DBAddRecord(3), DBDeleteRecord(3)
.in -3
.sp
.tl '\fBCOPYRIGHT\fR'''
.in +3
Copyright (c) Michael J. Hammel 1995.  This program is covered by the GNU
CopyLeft, I think.  I'm not completely sure what that is.  You can
distribute copies at your leisure for non-commercial use as long as you
distribute or make readily available the source code too.
.in -3
.sp
.tl '\fBAUTHOR\fR'''
.in +3
Michael J. Hammel (mjhammel@csn.net, mjhammel@xinside.com).  I'm interested
in any comments you might have on how to improve the basic functionality of
the library.  New features would be nice but unless they are exceptionally
easy to do, I may not get around to them for awhile.  I will keep a log of
problems and make fixes to them as time permits.
.in -3
